<ion-header>
  <ion-toolbar>
    <ion-title>Events</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>


  
  <ion-list>
    <ion-item *ngFor="let event of events">
 
  <ion-label>   <h5>Status: {{event.status}}  </h5> </ion-label> 
  <!-- <ion-label>  <h5>Location: {{locationService.getCompanyNameById(event.location_ID, userSession.locations)}} </h5>  </ion-label>  -->
  <ion-label>  <h5>User:  {{userService.getUserNameById(event.user_ID, userSession.users)}}   </h5> </ion-label>

  <ion-button (click)="allow(event)" *ngIf="event.status!='resolved'" color="success" expand="block" size="small"> Allow </ion-button>
  <ion-button (click)="deny(event)" *ngIf="event.status!='resolved'" color="danger" expand="block" size="small"> Deny </ion-button>
  <ion-button (click)="revoke(event)" *ngIf="event.status!='waiting'" color="danger" expand="block" size="small"> Revoke </ion-button>

    </ion-item>
  </ion-list>

 

</ion-content>

<ion-footer>
  <ion-row>
    <ion-col>
  <ion-button routerLink="/home" routerDirection="root" color="dark">
   Go back
  </ion-button>
</ion-col>
</ion-row>
</ion-footer>
